summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Elvio Basello (HelLViS69) <hellvis69@gmail.com>2015-03-14 16:47:06 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-03-14 16:47:06 +0700
commitb5dccd98dcd8a685272f6bbfe65bd61250f651b3 (patch)
tree205cf77fb78020ac67f0399c772f5c4f9ea30292 /development
parent72f426522278aa064ee8d60a0ea4403598e8aae6 (diff)
downloadslackbuilds-b5dccd98dcd8a685272f6bbfe65bd61250f651b3.tar.gz
slackbuilds-b5dccd98dcd8a685272f6bbfe65bd61250f651b3.tar.xz
development/eclipse-jee: Added (Eclipse IDE for Java EE Developers).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/eclipse-jee/README31
-rw-r--r--development/eclipse-jee/doinst.sh29
-rw-r--r--development/eclipse-jee/eclipse-jee.SlackBuild108
-rw-r--r--development/eclipse-jee/eclipse-jee.desktop9
-rw-r--r--development/eclipse-jee/eclipse-jee.info10
-rw-r--r--development/eclipse-jee/slack-desc19
6 files changed, 206 insertions, 0 deletions
diff --git a/development/eclipse-jee/README b/development/eclipse-jee/README
new file mode 100644
index 0000000000..0c88480850
--- /dev/null
+++ b/development/eclipse-jee/README
@@ -0,0 +1,31 @@
+Tools for Java developers creating Java EE and Web applications,
+including a Java IDE, tools for Java EE, JPA, JSF, Mylyn, EGit and
+others.
+
+This package includes:
+
+ Data Tools Platform
+ Eclipse Git Team Provider
+ Eclipse Java Development Tools
+ Eclipse Java EE Developer Tools
+ JavaScript Development Tools
+ Maven Integration for Eclipse
+ Mylyn Task List
+ Eclipse Plug-in Development Environment
+ Remote System Explorer
+ Eclipse XML Editors and Tools
+
+
+**********
+UPGRADING:
+**********
+if you find an error during Eclipse initialization, check
+this two files:
+
+/opt/eclipse/configuration/config.ini
+/opt/eclipse/eclipse.ini
+
+If you haven't done modifications in those files, overwrite
+them with config.ini.new and eclipse.ini.new.
+
+This SlackBuild is based on Andre Barboza's eclipse-java SlackBuild.
diff --git a/development/eclipse-jee/doinst.sh b/development/eclipse-jee/doinst.sh
new file mode 100644
index 0000000000..c4d47047b8
--- /dev/null
+++ b/development/eclipse-jee/doinst.sh
@@ -0,0 +1,29 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD|md5sum)" = "$(cat $NEW|md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+config opt/eclipse-jee/configuration/config.ini.new
+config opt/eclipse-jee/eclipse.ini.new
diff --git a/development/eclipse-jee/eclipse-jee.SlackBuild b/development/eclipse-jee/eclipse-jee.SlackBuild
new file mode 100644
index 0000000000..efd3343a9e
--- /dev/null
+++ b/development/eclipse-jee/eclipse-jee.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/sh
+
+# Slackware build script for eclipse-jee
+
+# Copyright (c) 2008-2010, Antonio Hernández Blas <hba.nihilismus@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+# 1.- Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY
+# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Update by: Andre Barboza <bmg.andre@gmail.com>
+# Modified from classical eclipse slackbuild
+# This script is just a binary repackaging.
+
+# Update by: Elvio Basello <hellvis69@gmail.com>
+# Modified for using with eclipse-jee
+
+PRGNAM=eclipse-jee
+VERSION=${VERSION:-4.4.2}
+SRCVERSION=luna-SR2
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/opt/$PRGNAM $OUTPUT
+cd $PKG/opt/$PRGNAM
+
+# Untar source code tarball according with ARCH value
+# ARCH can be 'i586' or 'x86_64'
+if [ "$ARCH" = "x86_64" ]; then
+ tar --strip-components=1 -xvf $CWD/$PRGNAM-$SRCVERSION-linux-gtk-$ARCH.tar.gz
+elif [ "$ARCH" = "i586" ]; then
+ tar --strip-components=1 -xvf $CWD/$PRGNAM-$SRCVERSION-linux-gtk.tar.gz
+else
+ printf "$ARCH is not supported...\n" ; exit 1
+fi
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Add a wrapper to run eclipse in /usr/bin
+# Its going to change the working directory to $HOME, so when you import/export
+# into/from eclipse $HOME is going to be the default directory, rather than
+# /opt/eclipse.
+mkdir -p $PKG/usr/bin
+cat << EOF > $PKG/usr/bin/$PRGNAM
+#!/bin/sh
+cd \$HOME
+/opt/$PRGNAM/eclipse \$@
+EOF
+chmod 0755 $PKG/usr/bin/$PRGNAM
+
+# Add eclipse to KDE/GNOME/XFCE menu and install an icon for them
+install -D -m 0644 $CWD/$PRGNAM.desktop $PKG/usr/share/applications/$PRGNAM.desktop
+install -D -m 0644 "$PKG/opt/$PRGNAM/plugins/org.eclipse.epp.package.jee_4.4.2.20150219-0708/javaee-ide_x48.png" \
+ $PKG/usr/share/pixmaps/$PRGNAM.png
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Don't clobber any existing config file
+mv $PKG/opt/$PRGNAM/configuration/config.ini \
+ $PKG/opt/$PRGNAM/configuration/config.ini.new
+mv $PKG/opt/$PRGNAM/eclipse.ini \
+ $PKG/opt/$PRGNAM/eclipse.ini.new
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cd $PKG/opt/$PRGNAM
+cp -a about_files readme *.html $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/eclipse-jee/eclipse-jee.desktop b/development/eclipse-jee/eclipse-jee.desktop
new file mode 100644
index 0000000000..ab89e37904
--- /dev/null
+++ b/development/eclipse-jee/eclipse-jee.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Type=Application
+Exec=env SWT_GTK3=0 eclipse-jee
+Name=Eclipse Java
+GenericName=Eclipse IDE for Java EE Developers
+Comment=Eclipse IDE for Java EE Developers
+Icon=eclipse-jee
+StartupNotify=true
+Categories=Qt;KDE;GNOME;Development;
diff --git a/development/eclipse-jee/eclipse-jee.info b/development/eclipse-jee/eclipse-jee.info
new file mode 100644
index 0000000000..4fae44c218
--- /dev/null
+++ b/development/eclipse-jee/eclipse-jee.info
@@ -0,0 +1,10 @@
+PRGNAM="eclipse-jee"
+VERSION="4.4.2"
+HOMEPAGE="http://www.eclipse.org"
+DOWNLOAD="http://download.eclipse.org/technology/epp/downloads/release/luna/SR2/eclipse-jee-luna-SR2-linux-gtk.tar.gz"
+MD5SUM="d8e1b995e95dbec95d69d62ddf6f94f6"
+DOWNLOAD_x86_64="http://download.eclipse.org/technology/epp/downloads/release/luna/SR2/eclipse-jee-luna-SR2-linux-gtk-x86_64.tar.gz"
+MD5SUM_x86_64="be9391112776755e898801d3f3f51b74"
+REQUIRES="jdk"
+MAINTAINER="Elvio Basello (HelLViS69)"
+EMAIL="hellvis69@gmail.com"
diff --git a/development/eclipse-jee/slack-desc b/development/eclipse-jee/slack-desc
new file mode 100644
index 0000000000..ab6ac47a5e
--- /dev/null
+++ b/development/eclipse-jee/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+eclipse-jee: eclipse-jee (Eclipse IDE for Java EE Developers)
+eclipse-jee:
+eclipse-jee: Tools for Java developers creating Java EE and Web applications,
+eclipse-jee: including a Java IDE, tools for Java EE, JPA, JSF, Mylyn, EGit and
+eclipse-jee: others.
+eclipse-jee:
+eclipse-jee:
+eclipse-jee: Homepage: http://www.eclipse.org
+eclipse-jee:
+eclipse-jee:
+eclipse-jee: